<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Commanders: D:/Mes documents/Trusty/Arduino/Libraries/Commanders/src/Events.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Commanders
   </div>
   <div id="projectbrief">Arduino buttons/bus library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('Events_8h_source.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">Events.h</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<a href="Events_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#pragma once</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno"><a class="line" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2ba">    8</a></span>&#160;<span class="keyword">enum</span> <a class="code" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2ba">COMMANDERS_MOVE_TYPE</a></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;{</div><div class="line"><a name="l00010"></a><span class="lineno"><a class="line" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baae1923028184f9ee153eb5370ab58ca65">   10</a></span>&#160;    <a class="code" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baae1923028184f9ee153eb5370ab58ca65">COMMANDERS_MOVE_MORE</a> = +1,      </div><div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baad77b8c7aff05833a7b178bf1318ce15d">   11</a></span>&#160;    <a class="code" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baad77b8c7aff05833a7b178bf1318ce15d">COMMANDERS_MOVE_LESS</a> = -1,      </div><div class="line"><a name="l00012"></a><span class="lineno"><a class="line" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baad901d0f2c65db46d15c17ed4b4855125">   12</a></span>&#160;    <a class="code" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baad901d0f2c65db46d15c17ed4b4855125">COMMANDERS_MOVE_STOP</a> = 0,       </div><div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa196b887b79ca8df5b10e94318d32df7e">   13</a></span>&#160;    <a class="code" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa196b887b79ca8df5b10e94318d32df7e">COMMANDERS_MOVE_LEFT</a> = -2,      </div><div class="line"><a name="l00014"></a><span class="lineno"><a class="line" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa93b501afc3ae6c0a02d25b8bd1473930">   14</a></span>&#160;    <a class="code" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa93b501afc3ae6c0a02d25b8bd1473930">COMMANDERS_MOVE_RIGHT</a> = -3,     </div><div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baab3c73917312becdd03fe37599aad8654">   15</a></span>&#160;    <a class="code" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baab3c73917312becdd03fe37599aad8654">COMMANDERS_MOVE_CENTER</a> = -4,    </div><div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa411dad6eae5f4b6ee6a37ed360630b8a">   16</a></span>&#160;    <a class="code" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa411dad6eae5f4b6ee6a37ed360630b8a">COMMANDERS_MOVE_TOP</a> = -5,       </div><div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baadc7cc4dd0d8494d85886f38e272e9dbd">   17</a></span>&#160;    <a class="code" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baadc7cc4dd0d8494d85886f38e272e9dbd">COMMANDERS_MOVE_BOTTOM</a> = -6,    </div><div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa70fce607487766319fb7c8d6798744dd">   18</a></span>&#160;    <a class="code" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa70fce607487766319fb7c8d6798744dd">COMMANDERS_MOVE_STRAIGHT</a> = -7,  </div><div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa0d89916c4b0bcec7569179ec36bae13b">   19</a></span>&#160;    <a class="code" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa0d89916c4b0bcec7569179ec36bae13b">COMMANDERS_MOVE_DIVERGE</a> = -8,   </div><div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa1675bf6790ab941818b2623b710d9826">   20</a></span>&#160;    <a class="code" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa1675bf6790ab941818b2623b710d9826">COMMANDERS_MOVE_ON</a> = -9,        </div><div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa72085934c5621169aa9f5e3f7a32a7c6">   21</a></span>&#160;    <a class="code" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa72085934c5621169aa9f5e3f7a32a7c6">COMMANDERS_MOVE_OFF</a> = -10       </div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;};</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490c">   25</a></span>&#160;<span class="keyword">enum</span> <a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490c">COMMANDERS_EVENT_TYPE</a></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;{</div><div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca4e8b4f5861d5b6bb06b4460524e526b7">   27</a></span>&#160;    <a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca4e8b4f5861d5b6bb06b4460524e526b7">COMMANDERS_EVENT_NONE</a> = 0,              </div><div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca23179b0dcca045d2d7c9ecffa607203d">   28</a></span>&#160;    <a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca23179b0dcca045d2d7c9ecffa607203d">COMMANDERS_EVENT_TOGGLE</a> = 1,            </div><div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490caebdb45ee96bd05e90e9e633c114e9cba">   29</a></span>&#160;    <a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490caebdb45ee96bd05e90e9e633c114e9cba">COMMANDERS_EVENT_MOVE</a> = 2,              </div><div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca820fe8d0aad337114732954c5965e82b">   30</a></span>&#160;    <a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca820fe8d0aad337114732954c5965e82b">COMMANDERS_EVENT_MOVEPOSITION</a> = 3,      </div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca1d5dba6e4ee91a8605ac761e4f91afec">   31</a></span>&#160;    <a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca1d5dba6e4ee91a8605ac761e4f91afec">COMMANDERS_EVENT_MOVEPOSITIONINDEX</a> = 4, </div><div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca4c6e59b277bf1f4430a136faab150a61">   32</a></span>&#160;    <a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca4c6e59b277bf1f4430a136faab150a61">COMMANDERS_EVENT_MOVEPOSITIONID</a> = 5,    </div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca06e662a86df4cb9cc66585d7948d4a71">   33</a></span>&#160;    <a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca06e662a86df4cb9cc66585d7948d4a71">COMMANDERS_EVENT_CONFIG</a> = 6,            </div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;};</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#ifndef UNDEFINED_ID</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="Events_8h.html#a48ad4dd16b8e22f2c8bc92b154479e92">   38</a></span>&#160;<span class="preprocessor">#define UNDEFINED_ID    ((unsigned long)-1)</span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="Events_8h_html_a36239a7eea6194f04e73e80d7419490ca4c6e59b277bf1f4430a136faab150a61"><div class="ttname"><a href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca4c6e59b277bf1f4430a136faab150a61">COMMANDERS_EVENT_MOVEPOSITIONID</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00032">Events.h:32</a></div></div>
<div class="ttc" id="Events_8h_html_a36239a7eea6194f04e73e80d7419490ca1d5dba6e4ee91a8605ac761e4f91afec"><div class="ttname"><a href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca1d5dba6e4ee91a8605ac761e4f91afec">COMMANDERS_EVENT_MOVEPOSITIONINDEX</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00031">Events.h:31</a></div></div>
<div class="ttc" id="Events_8h_html_a36239a7eea6194f04e73e80d7419490ca06e662a86df4cb9cc66585d7948d4a71"><div class="ttname"><a href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca06e662a86df4cb9cc66585d7948d4a71">COMMANDERS_EVENT_CONFIG</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00033">Events.h:33</a></div></div>
<div class="ttc" id="Events_8h_html_a36239a7eea6194f04e73e80d7419490caebdb45ee96bd05e90e9e633c114e9cba"><div class="ttname"><a href="Events_8h.html#a36239a7eea6194f04e73e80d7419490caebdb45ee96bd05e90e9e633c114e9cba">COMMANDERS_EVENT_MOVE</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00029">Events.h:29</a></div></div>
<div class="ttc" id="Events_8h_html_a36239a7eea6194f04e73e80d7419490ca23179b0dcca045d2d7c9ecffa607203d"><div class="ttname"><a href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca23179b0dcca045d2d7c9ecffa607203d">COMMANDERS_EVENT_TOGGLE</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00028">Events.h:28</a></div></div>
<div class="ttc" id="Events_8h_html_a36239a7eea6194f04e73e80d7419490ca4e8b4f5861d5b6bb06b4460524e526b7"><div class="ttname"><a href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca4e8b4f5861d5b6bb06b4460524e526b7">COMMANDERS_EVENT_NONE</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00027">Events.h:27</a></div></div>
<div class="ttc" id="Events_8h_html_a347ec2e7ad5bc98b641a887ce34cc2baa72085934c5621169aa9f5e3f7a32a7c6"><div class="ttname"><a href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa72085934c5621169aa9f5e3f7a32a7c6">COMMANDERS_MOVE_OFF</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00021">Events.h:21</a></div></div>
<div class="ttc" id="Events_8h_html_a347ec2e7ad5bc98b641a887ce34cc2baa1675bf6790ab941818b2623b710d9826"><div class="ttname"><a href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa1675bf6790ab941818b2623b710d9826">COMMANDERS_MOVE_ON</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00020">Events.h:20</a></div></div>
<div class="ttc" id="Events_8h_html_a347ec2e7ad5bc98b641a887ce34cc2baa0d89916c4b0bcec7569179ec36bae13b"><div class="ttname"><a href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa0d89916c4b0bcec7569179ec36bae13b">COMMANDERS_MOVE_DIVERGE</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00019">Events.h:19</a></div></div>
<div class="ttc" id="Events_8h_html_a347ec2e7ad5bc98b641a887ce34cc2baa70fce607487766319fb7c8d6798744dd"><div class="ttname"><a href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa70fce607487766319fb7c8d6798744dd">COMMANDERS_MOVE_STRAIGHT</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00018">Events.h:18</a></div></div>
<div class="ttc" id="Events_8h_html_a347ec2e7ad5bc98b641a887ce34cc2baadc7cc4dd0d8494d85886f38e272e9dbd"><div class="ttname"><a href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baadc7cc4dd0d8494d85886f38e272e9dbd">COMMANDERS_MOVE_BOTTOM</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00017">Events.h:17</a></div></div>
<div class="ttc" id="Events_8h_html_a347ec2e7ad5bc98b641a887ce34cc2baa411dad6eae5f4b6ee6a37ed360630b8a"><div class="ttname"><a href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa411dad6eae5f4b6ee6a37ed360630b8a">COMMANDERS_MOVE_TOP</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00016">Events.h:16</a></div></div>
<div class="ttc" id="Events_8h_html_a347ec2e7ad5bc98b641a887ce34cc2baab3c73917312becdd03fe37599aad8654"><div class="ttname"><a href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baab3c73917312becdd03fe37599aad8654">COMMANDERS_MOVE_CENTER</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00015">Events.h:15</a></div></div>
<div class="ttc" id="Events_8h_html_a347ec2e7ad5bc98b641a887ce34cc2baa93b501afc3ae6c0a02d25b8bd1473930"><div class="ttname"><a href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa93b501afc3ae6c0a02d25b8bd1473930">COMMANDERS_MOVE_RIGHT</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00014">Events.h:14</a></div></div>
<div class="ttc" id="Events_8h_html_a347ec2e7ad5bc98b641a887ce34cc2baa196b887b79ca8df5b10e94318d32df7e"><div class="ttname"><a href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa196b887b79ca8df5b10e94318d32df7e">COMMANDERS_MOVE_LEFT</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00013">Events.h:13</a></div></div>
<div class="ttc" id="Events_8h_html_a347ec2e7ad5bc98b641a887ce34cc2baad901d0f2c65db46d15c17ed4b4855125"><div class="ttname"><a href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baad901d0f2c65db46d15c17ed4b4855125">COMMANDERS_MOVE_STOP</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00012">Events.h:12</a></div></div>
<div class="ttc" id="Events_8h_html_a36239a7eea6194f04e73e80d7419490ca820fe8d0aad337114732954c5965e82b"><div class="ttname"><a href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca820fe8d0aad337114732954c5965e82b">COMMANDERS_EVENT_MOVEPOSITION</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00030">Events.h:30</a></div></div>
<div class="ttc" id="Events_8h_html_a36239a7eea6194f04e73e80d7419490c"><div class="ttname"><a href="Events_8h.html#a36239a7eea6194f04e73e80d7419490c">COMMANDERS_EVENT_TYPE</a></div><div class="ttdeci">COMMANDERS_EVENT_TYPE</div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00025">Events.h:25</a></div></div>
<div class="ttc" id="Events_8h_html_a347ec2e7ad5bc98b641a887ce34cc2baad77b8c7aff05833a7b178bf1318ce15d"><div class="ttname"><a href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baad77b8c7aff05833a7b178bf1318ce15d">COMMANDERS_MOVE_LESS</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00011">Events.h:11</a></div></div>
<div class="ttc" id="Events_8h_html_a347ec2e7ad5bc98b641a887ce34cc2baae1923028184f9ee153eb5370ab58ca65"><div class="ttname"><a href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baae1923028184f9ee153eb5370ab58ca65">COMMANDERS_MOVE_MORE</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00010">Events.h:10</a></div></div>
<div class="ttc" id="Events_8h_html_a347ec2e7ad5bc98b641a887ce34cc2ba"><div class="ttname"><a href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2ba">COMMANDERS_MOVE_TYPE</a></div><div class="ttdeci">COMMANDERS_MOVE_TYPE</div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00008">Events.h:8</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><a class="el" href="Events_8h.html">Events.h</a></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:55:02 for Commanders &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
